package org.ugasp.test.client;

import org.ugasp.android.client.http.UGASPClientHttp;

public class MyUGASPClient extends UGASPClientHttp implements Runnable{

	public MyUGASPClient(){
		setUGASPAddress("157.159.110.47");
		//getDataTransmissionMgr().getRMAIMgr().setRMAIClientManagerSubclassName(MyRMAIClientManager.class.getName());
	}
	
	@Override
	public void run() {
		createUGaspApplicationInstance();
		// launch client routine
		getDataTransmissionMgr().launchDataTransmissionRoutine();
	}
	
	
	/*
	 * This method successively proceeds :
	 * - a firstLogin to get an actorID
	 * - a login to get an sessionID
	 * - an application instance creation.
	 *@return the actorSessionID of the owner
	 */
	private void createUGaspApplicationInstance(){
		// the applicationID of our game logic is 2
		int actorID = getLobbyMgr().firstLogin(2, "User 1", "PWD");
		int sessionID = getLobbyMgr().login(actorID, "User 1", "PWD");
		// 1 is the minimum number of actors to start the application instance, 10 is the max number of actors
		getLobbyMgr().createApplicationInstance(sessionID, 1, 10);
	}
	
}
